{
  "version": "2.0.6",
  "description": "This contains modular workflows that operate when integrated with the app-artifacts application that can be installed within IAP. Once installed teams will be able to quickly automate common manual tasks such as creating a Pre-Built artifact.json file made up of IAP components, saving a significant amount of time and effort. This library can be used as modular components with other libraries and automations to build comprehensive end-to-end orchestrated workflows with Itential's low-code platform.",
  "scripts": {
    "setup-hooks": "sh ./scripts/setup-hooks.sh",
    "test": "echo \"Error: no test specified\" && exit 1",
    "deploy": "echo not needed npm publish --access=public --registry=http://registry.npmjs.org",
    "validateSchema": "node test/manifestTester.js manifest.json manifest-schema.json",
    "validateSchemaLinks": "node test/manifestLinkTester.js manifest.json",
    "generateImageLinks": "node utils/generateImageLinks.js",
    "junit-merge": "npx junit-merge -d test/cypress/reports/junit -o test/cypress/reports/junit/junit-results.xml",
    "test:integration": "cypress run --config-file ./test/cypress.json --spec \"./test/cypress/integration/cypressTests.spec.js\"",
    "cypress:open": "cypress open --config-file ./test/cypress.json"
  },
  "keywords": [
    "Itential",
    "IAP"
  ],
  "contributors": [
    "Itential"
  ],
  "author": "Itential",
  "license": "Apache-2.0",
  "devDependencies": {
    "@itential-tools/iap-cypress-testing-library": "^4.3.0-alpha.3",
    "ajv": "6.10.0",
    "better-ajv-errors": "^0.6.1",
    "cypress": "^9.7.0",
    "cypress-failed-log": "^2.9.5",
    "cypress-mochawesome-reporter": "^3.2.0",
    "cypress-multi-reporters": "^1.6.1",
    "fs-extra": "^7.0.1",
    "junit-report-merger": "^4.0.0",
    "mocha": "^10.0.0",
    "mocha-junit-reporter": "^2.0.2",
    "r2": "^2.0.1"
  },
  "IAPCategories": [
    "DevOps",
    "Utilities"
  ],
  "repository": {
    "type": "gitlab",
    "hostname": "gitlab.com",
    "path": "itentialopensource/pre-built-automations"
  },
  "name": "@itentialopensource/pre-built-wizard",
  "IAPDependencies": {
    "@itential/app-json_forms": "",
    "@itential/app-workflow_engine": ""
  }
}
